Subject: bug#58771: 29.0.50; context submenu can not click when run emacs lucid build.

From: Po Lu <[email-masked]>
Date: Wed, 26 Oct 2022 16:20:08 +0800

Stephen Berman <[email-masked]> writes:

> I've done only elementary debugging with gdb and never from a different
> machine, so I will need explicit instructions for how to set it up and
> what to enter, and if it's not straightforward, I probably can't do it
> soon.
>
> But there may be a (for me) quicker way to investigate the issue: I'm in
> the process of building a new system on this machine, which is an
> updated version of my current system (on a different partition), and one
> of the first programs I built after installing the basic system is
> Emacs, first before installing X, then again with X but before
> installing GTK.  On this system, the X build used the Lucid toolkit, and
> with it I did not observe the menu problems I described.  Aside from
> different versions of system libraries like glibc and build tools like
> gcc, the two builds differ in their Emacs-specific configurations.  The
> build with the menu problems used
>
>  configure -C --with-x-toolkit=lucid --with-xinput2 CFLAGS='-Og -g3'
>
> while the build on the newer system without the menu problems used
>
>  configure -C --with-jpeg=ifavailable --with-gif=ifavailable --with-tiff=ifavailable
>
> I'll try using the other configuration on the new system and see if that
> makes a difference (though I probably won't get to that till this
> evening.)

The only difference I can think of in that case is which Athena widgets
variant is used, since XInput 2 is now enabled by default.  What do the
scroll bars look like in either of those builds?